Package org.eclipse.net4j.buffer

# Interface IBufferPool.Introspection

All Superinterfaces:
  `IBufferPool`, `IBufferProvider`, `IBufferProvider.Introspection`

Enclosing interface:
  IBufferPool

public static interface IBufferPool.Introspection extends IBufferPool, IBufferProvider.Introspection
Offers additional introspection features for `IBufferPool`s.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferPool

`IBufferPool.Introspection`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`IBufferProvider.Introspection, IBufferProvider.Notification`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPooledBuffers()`
Returns the number of buffers that are currently pooled in this `BufferPool`.

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferPool

`evict, evictOne`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`getBufferCapacity, provideBuffer, retainBuffer`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider.Introspection

`getProvidedBuffers, getRetainedBuffers`

## Method Details

### getPooledBuffers

int getPooledBuffers()
Returns the number of buffers that are currently pooled in this `BufferPool`.